include:
  - template: Security/SAST.gitlab-ci.yml
  - project: c2-games/infrastructure/gitlab-ci
    ref: main
    file:
      - "/baseline.yml"
      - "/containerize/kaniko.yml"
      - "/linting/markdown.yml"
      - "/linting/spelling.yml"
      - "/linting/yaml.yml"

pylint:
  stage: linting
  image: registry.gitlab.com/c2-games/infrastructure/gitlab-ci/tox:latest
  script:
    - tox -e py310-pylint

pycodestyle:
  stage: linting
  image: registry.gitlab.com/c2-games/infrastructure/gitlab-ci/tox:latest
  script:
    - tox -e py310-pycodestyle

typecheck:
  stage: linting
  image: registry.gitlab.com/c2-games/infrastructure/gitlab-ci/tox:latest
  script:
    - tox -e py310-mypy

container-build:
  extends: .kaniko-build

sast:
  stage: test

# testrunner:
#   stage: test
#   needs: []
#   image: registry.gitlab.com/c2-games/infrastructure/gitlab-ci/python:latest
#   coverage: '/(?i)total.*? (100(?:\.0+)?\%|[1-9]?\d(?:\.\d+)?\%)$/'
#   script:
#     - tox -e py10-unittest
#   artifacts:
#     reports:
#       coverage_report:
#         coverage_format: cobertura
#         path: coverage.xml
#       junit: report.xml
